function [f X Y Y2 H A]=spec2(a,b,c)

%Initializing
n=1000;
f=linspace(1,1000,n);
H=zeros(1,n);

%Defining constants
m=5.95E4; %kg
k=1E12; %N/m

%Simulating transfer function
for i=1:n
    w=f(i)*2*pi;
    H(i)=abs(w*(-w^2*m+1i*w*c+k*(1+b)-(1i*w*c+b*k)^2/(-w^2*a*m+1i*w*c+b*k))^-1);   
    B2=4*pi^2*f(i)^2*m/k;
    H(i)=abs(2*pi*f(i)/(k*( 1-B2*(1+a)-(a*B2)^2/(b+2*pi*f(i)*c*1i/k-a*B2) )));
    Act(i)=abs(1-(2*pi*1i*f(i)*c/k+b)/(B2*a));
    Act(i)=abs(  (1-B2*b/a)-(c/(2*pi*f(i)*a*m))*1i  );
end


%f1=f(293)
%f2=f(438)
%f3=f(583)
%f4=f(2626)
%f5=f(5251)
%f6=f(7875)
X=[29.17 43.75 58.33 262.5 525 787.5];
Y=[5.67E6 1.72E6 1.06E6 6.80E5 2.48E5 6.07E4];
Y2=[H(29),H(44),H(58),H(263),H(525),H(788)].*Y;
A=[Act(29),Act(44),Act(58),Act(263),Act(525),Act(788)].*Y;
